Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class SeekSlider

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.gui.QWidget
                          com.trolltech.qt.phonon.SeekSlider

All Implemented Interfaces:
  QPaintDeviceInterface, QtJambiInterface

    public class SeekSlider

extends QWidget

Author. Matthias Kretz <kretz@kde. rg>The `SeekSlider` class provides a slider for seeking to positions in media streams. The `SeekSlider` connects to a `MediaObject`, and controls the seek position in the object's media stream.

The slider will connect to the necessary signals to keep track of the sliders maximum, minimum, and current values. It will also disable itself for non-seekable streams, and update the media object when the current value of the slider changes.

Here follows a typical example of `SeekSlider` usage:
The following code example is written in c++.

        Phonon::MediaObject *moo = new Phonon::MediaObject;;
        Phonon::AudioOutput *device = new Phonon::AudioOutput;
        Phonon::createPath(moo, device);
        moo->setCurrentSource(QString("/home/gvatteka/Music/Lumme-Badloop.ogg"));

        Phonon::SeekSlider *slider = new Phonon::SeekSlider;
        slider->setMediaObject(moo);

        slider->show();
        moo->play();

See also:
  `Phonon::VolumeSlider`, `Phonon::VideoWidget`, and Music Player Example.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QWidget
`QWidget.RenderFlag, QWidget.RenderFlags`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.gui.QWidget
`customContextMenuRequested`

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`SeekSlider()` Constructs a seek slider widget with the given `parent`.
`SeekSlider(MediaObject media)` Constructs a seek slider widget for the specified `media` with the given `parent`.
`SeekSlider(MediaObject media, QWidget parent)` Constructs a seek slider widget for the specified `media` with the given `parent`.
`SeekSlider(QWidget parent)` Constructs a seek slider widget with the given `parent`.

Method Summary
`boolean` | `hasTracking()` This property holds whether slider tracking is enabled.
`QSize` | `iconSize()` This property holds the icon size used for the mute button/icon.
`boolean` | `isIconVisible()` This property holds whether the icon next to the slider is visible.
`MediaObject` | `mediaObject()` See also. `setMediaObject()`.
`Qt.Orientation` | `orientation()` This property holds the orientation of the slider.
`int` | `pageStep()` This property holds the page step interval.
`void` | `setIconSize(QSize size)` This property holds the icon size used for the mute button/icon.
`void` | `setIconVisible(boolean arg__1)` This property holds whether the icon next to the slider is visible.
`void` | `setMediaObject(MediaObject arg__1)` Sets the media object to be controlled by this slider to the `media` specified.
`void` | `setOrientation(Qt.Orientation arg__1)` This property holds the orientation of the slider.
`void` | `setPageStep(int milliseconds)` This property holds the page step interval.
`void` | `setSingleStep(int milliseconds)` This property holds the single step interval.
`void` | `setTracking(boolean tracking)` This property holds whether slider tracking is enabled.
`int` | `singleStep()` This property holds the single step interval.

Methods inherited from class com.trolltech.qt.gui.QWidget
`acceptDrops, accessibleDescription, accessibleName, actionEvent, actions, activateWindow, addAction, addActions, adjustSize, autoFillBackground, backgroundRole, baseSize, changeEvent, childAt, childAt, childrenRect, childrenRegion, clearFocus, clearMask, close, closeEvent, contentsRect, contextMenuEvent, contextMenuPolicy, cursor, depth, destroy, destroy, destroy, dragEnterEvent, dragLeaveEvent, dragMoveEvent, dropEvent, effectiveWinId, ensurePolished, enterEvent, focusInEvent, focusNextChild, focusNextPrevChild, focusOutEvent, focusPolicy, focusPreviousChild, focusProxy, focusWidget, font, fontInfo, fontMetrics, foregroundRole, frameGeometry, frameSize, geometry, getContentsMargins, grabKeyboard, grabMouse, grabMouse, grabShortcut, grabShortcut, hasFocus, hasMouseTracking, height, heightForWidth, heightMM, hide, hideEvent, inputContext, inputMethodEvent, inputMethodQuery, insertAction, insertActions, isActiveWindow, isAncestorOf, isEnabled, isEnabledTo, isFullScreen, isHidden, isMaximized, isMinimized, isModal, isVisible, isVisibleTo, isWindow, isWindowModified, keyboardGrabber, keyPressEvent, keyReleaseEvent, languageChange, layout, layoutDirection, leaveEvent, locale, logicalDpiX, logicalDpiY, lower, mapFrom, mapFromGlobal, mapFromParent, mapTo, mapToGlobal, mapToParent, mask, maximumHeight, maximumSize, maximumWidth, metric, minimumHeight, minimumSize, minimumSizeHint, minimumWidth, mouseDoubleClickEvent, mouseGrabber, mouseMoveEvent, mousePressEvent, mouseReleaseEvent, move, move, moveEvent, nativeParentWidget, nextInFocusChain, normalGeometry, numColors, overrideWindowFlags, overrideWindowFlags, paintEngine, paintEvent, paintingActive, palette, parentWidget, physicalDpiX, physicalDpiY, pos, raise, rect, releaseKeyboard, releaseMouse, releaseShortcut, removeAction, render, render, render, render, render, render, render, render, render, repaint, repaint, repaint, repaint, resetInputContext, resize, resize, resizeEvent, restoreGeometry, saveGeometry, scroll, scroll, setAcceptDrops, setAccessibleDescription, setAccessibleName, setAttribute, setAttribute, setAutoFillBackground, setBackgroundRole, setBaseSize, setBaseSize, setContentsMargins, setContentsMargins, setContextMenuPolicy, setCursor, setDisabled, setEnabled, setFixedHeight, setFixedSize, setFixedSize, setFixedWidth, setFocus, setFocus, setFocusPolicy, setFocusProxy, setFont, setForegroundRole, setGeometry, setGeometry, setHidden, setInputContext, setLayout, setLayoutDirection, setLocale, setMask, setMask, setMaximumHeight, setMaximumSize, setMaximumSize, setMaximumWidth, setMinimumHeight, setMinimumSize, setMinimumSize, setMinimumWidth, setMouseTracking, setPalette, setParent, setParent, setParent, setShortcutAutoRepeat, setShortcutAutoRepeat, setShortcutEnabled, setShortcutEnabled, setSizeIncrement, setSizeIncrement, setSizePolicy, setSizePolicy, setStatusTip, setStyle, setStyleSheet, setTabOrder, setToolTip, setUpdatesEnabled, setVisible, setWhatsThis, setWindowFilePath, setWindowFlags, setWindowFlags, setWindowIcon, setWindowIconText, setWindowModality, setWindowModified, setWindowOpacity, setWindowRole, setWindowState, setWindowState, setWindowTitle, show, showEvent, showFullScreen, showMaximized, showMinimized, showNormal, size, sizeHint, sizeIncrement, sizePolicy, stackUnder, statusTip, style, styleSheet, tabletEvent, testAttribute, toolTip, underMouse, unsetCursor, unsetLayoutDirection, unsetLocale, update, update, update, update, updateGeometry, updateMicroFocus, updatesEnabled, visibleRegion, whatsThis, wheelEvent, width, widthMM, window, windowFilePath, windowFlags, windowIcon, windowIconText, windowModality, windowOpacity, windowRole, windowState, windowTitle, windowType, winId, x, y`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### SeekSlider

    public SeekSlider(MediaObject media)

  Constructs a seek slider widget for the specified `media` with the given `parent`.

### SeekSlider

    public SeekSlider(MediaObject media,
                      QWidget parent)

  Constructs a seek slider widget for the specified `media` with the given `parent`.

### SeekSlider

    public SeekSlider()

  Constructs a seek slider widget with the given `parent`.

### SeekSlider

    public SeekSlider(QWidget parent)

  Constructs a seek slider widget with the given `parent`.

Method Detail

### hasTracking

    public final boolean hasTracking()

  This property holds whether slider tracking is enabled. If tracking is enabled (the default), the media seeks while the slider is being dragged. If tracking is disabled, the media seeks only when the user releases the slider.

### iconSize

    public final QSize iconSize()

  This property holds the icon size used for the mute button/icon. The default size is defined by the GUI style.

### isIconVisible

    public final boolean isIconVisible()

  This property holds whether the icon next to the slider is visible. By default the icon is visible if the platform provides an icon; else it's hidden.

### mediaObject

    public final MediaObject mediaObject()

See also.
  `setMediaObject()`.

### orientation

    public final Qt.Orientation orientation()

  This property holds the orientation of the slider. The orientation must be `Qt::Vertical` or `Qt::Horizontal` (the default).

### pageStep

    public final int pageStep()

  This property holds the page step interval. The larger of two natural steps that a slider provides and typically corresponds to the user pressing PageUp or PageDown.

  Defaults to 5 seconds.

### setIconSize

    public final void setIconSize(QSize size)

  This property holds the icon size used for the mute button/icon. The default size is defined by the GUI style.

### setIconVisible

    public final void setIconVisible(boolean arg__1)

  This property holds whether the icon next to the slider is visible. By default the icon is visible if the platform provides an icon; else it's hidden.

### setMediaObject

    public final void setMediaObject(MediaObject arg__1)

  Sets the media object to be controlled by this slider to the `media` specified.

See also:
  `mediaObject()`.

### setOrientation

    public final void setOrientation(Qt.Orientation arg__1)

  This property holds the orientation of the slider. The orientation must be `Qt::Vertical` or `Qt::Horizontal` (the default).

### setPageStep

    public final void setPageStep(int milliseconds)

  This property holds the page step interval. The larger of two natural steps that a slider provides and typically corresponds to the user pressing PageUp or PageDown.

  Defaults to 5 seconds.

### setSingleStep

    public final void setSingleStep(int milliseconds)

  This property holds the single step interval. The smaller of two natural steps that a slider provides and typically corresponds to the user pressing an arrow key.

  Defaults to 0.5 seconds.

### setTracking

    public final void setTracking(boolean tracking)

  This property holds whether slider tracking is enabled. If tracking is enabled (the default), the media seeks while the slider is being dragged. If tracking is disabled, the media seeks only when the user releases the slider.

### singleStep

    public final int singleStep()

  This property holds the single step interval. The smaller of two natural steps that a slider provides and typically corresponds to the user pressing an arrow key.

  Defaults to 0.5 seconds.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD